<?php

/**
 * @file
 * Contains \Drupal\chessboard_images\Diagram.
 */

namespace Drupal\chessboard_images;

use Drupal\Core\Render\RenderableInterface;
use Drupal\chessboard\PiecePlacementInterface;

/**
 * Defines a Chessboard Images Diagram.
 *
 * @internal
 */
class Diagram implements RenderableInterface {

  /**
   * The piece placement object.
   *
   * @var \Drupal\chessboard\PiecePlacementInterface
   */
  protected $piecePlacement;

  /**
   * The border value.
   *
   * @var int
   */
  protected $border;

  /**
   * The square color first value.
   *
   * @var array
   */
  protected $squareColorFirst;

  public function getPiecePlacement() {
    return $this->piecePlacement;
  }

  public function getBorder() {
    return $this->border;
  }

  public function getSquareColorFirst() {
    return $this->squareColorFirst;
  }

  public function setPiecePlacement(PiecePlacementInterface $piece_placement) {
    $this->piecePlacement = $piece_placement;
    return $this;
  }

  public function setBorder(array $border) {
    $this->border = $border;
    return $this;
  }

  public function setSquareColorFirst($square_color_first) {
    $this->squareColorFirst = $square_color_first;
    return $this;
  }

  /**
   * {@inheritdoc}
   */
  public function toRenderable() {
    $elements = array(
      '#type' => 'chessboard_images_diagram',
      '#diagram' => $this,
    );

    return $elements;
  }

}
