<?php

/**
 * @file
 * Contains \Drupal\chessboard_images_formatter\PiecePlacementBuilder.
 */

namespace Drupal\chessboard_images_formatter;

use Drupal\chessboard_images\PiecePlacement;

/**
 * Class PiecePlacementBuilder
 *
 * @internal
 */
class PiecePlacementBuilder {

  /**
   * The number of files.
   *
   * @var int
   */
  protected $fileMax;

  /**
   * The piece placement value.
   *
   * @var string
   */
  protected $value;

  /**
   * Sets the number of files.
   *
   * @param int $file_max
   *   The number of files.
   *
   * @return $this
   */
  public function setFileMax($file_max) {
    $this->fileMax = $file_max;
    return $this;
  }

  /**
   * Sets the piece placement value.
   *
   * @param string $value
   *   The piece placement value.
   *
   * @return $this
   */
  public function setValue($value) {
    $this->value = $value;
    return $this;
  }

  public function build() {
    return new PiecePlacement($this->value, $this->fileMax);
  }

}
